import * as $dara from '@darabonba/typescript';
export declare class UpdateCommonSwitchConfigResponseBody extends $dara.Model {
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 655B538A-A31B-58F2-A3FB-2EF4390D****
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
